GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Enumerations | Functions
gridfire_extern.h File Reference
`#include <stddef.h>`
Include dependency graph for gridfire_extern.h:
This graph shows which files directly or indirectly include this file:

## Enumerations
enum | GF_TYPE { SINGLE_ZONE = 1001 , MULTI_ZONE = 1002 }
enum | FDSSE_ERROR_CODES { FDSSE_NON_4DSTAR_ERROR = -102 , FDSSE_UNKNOWN_ERROR = -101 , FDSSE_SUCCESS = 1 , FDSSE_UNKNOWN_SYMBOL_ERROR = 100 , FDSSE_SPECIES_ERROR = 101 , FDSSE_INVALID_COMPOSITION_ERROR = 102 , FDSSE_COMPOSITION_ERROR = 103 }
enum | GF_ERROR_CODES { GF_NON_GRIDFIRE_ERROR = -2 , GF_UNKNOWN_ERROR = -1 , GF_SUCCESS = 0 , GF_INVALID_QSE_SOLUTION_ERROR = 5 , GF_FAILED_TO_PARTITION_ENGINE_ERROR = 6 , GF_NETWORK_RESIZED_ERROR = 7 , GF_UNABLE_TO_SET_NETWORK_REACTIONS_ERROR = 8 , GF_BAD_COLLECTION_ERROR = 9 , GF_BAD_RHS_ENGINE_ERROR = 10 , GF_STALE_JACOBIAN_ERROR = 11 , GF_UNINITIALIZED_JACOBIAN_ERROR = 12 , GF_UNKNOWN_JACOBIAN_ERROR = 13 , GF_JACOBIAN_ERROR = 14 , GF_ENGINE_ERROR = 15 , GF_MISSING_BASE_REACTION_ERROR = 16 , GF_MISSING_SEED_SPECIES_ERROR = 17 , GF_MISSING_KEY_REACTION_ERROR = 18 , GF_POLICY_ERROR = 19 , GF_REACTION_PARSING_ERROR = 20 , GF_REACTION_ERROR = 21 , GF_SINGULAR_JACOBIAN_ERROR = 22 , GF_ILL_CONDITIONED_JACOBIAN_ERROR = 23 , GF_CVODE_SOLVER_FAILURE_ERROR = 24 , GF_KINSOL_SOLVER_FAILURE_ERROR = 25 , GF_SUNDIALS_ERROR = 26 , GF_SOLVER_ERROR = 27 , GF_HASHING_ERROR = 28 , GF_UTILITY_ERROR = 29 , GF_DEBUG_ERROR = 30 , GF_GRIDFIRE_ERROR = 31 , GF_UNINITIALIZED_INPUT_MEMORY_ERROR = 32 , GF_UNINITIALIZED_OUTPUT_MEMORY_ERROR = 33 , GF_INVALID_NUM_SPECIES = 34 , GF_INVALID_TIMESTEPS = 35 , GF_UNKNOWN_FREE_TYPE = 36 , GF_INVALID_TYPE = 37 }

## Functions
char * | gf_get_last_error_message (void *ptr)
char * | gf_error_code_to_string (int error_code)
void * | gf_init (const enum GF_TYPE type)
int | gf_free (const enum GF_TYPE type, void *ctx)
int | gf_set_num_zones (const enum GF_TYPE type, void *ptr, const size_t num_zones)
int | gf_register_species (void *ptr, const int num_species, const char **species_names)
int | gf_construct_engine_from_policy (void *ptr, const char *policy_name, const double *abundances, size_t num_species)
int | gf_construct_solver_from_engine (void *ptr)
int | gf_evolve (enum GF_TYPE type, void *ptr, const void *Y_in, size_t num_species, const void *T, const void *rho, double tMax, double dt0, void *Y_out, void *energy_out, void *dEps_dT, void *dEps_dRho, void *specific_neutrino_energy_loss, void *specific_neutrino_flux, void *mass_lost)

## Enumeration Type Documentation

## ◆ FDSSE_ERROR_CODES

enum FDSSE_ERROR_CODES

Enumerator
FDSSE_NON_4DSTAR_ERROR |
FDSSE_UNKNOWN_ERROR |
FDSSE_SUCCESS |
FDSSE_UNKNOWN_SYMBOL_ERROR |
FDSSE_SPECIES_ERROR |
FDSSE_INVALID_COMPOSITION_ERROR |
FDSSE_COMPOSITION_ERROR |

## ◆ GF_ERROR_CODES

enum GF_ERROR_CODES

Enumerator
GF_NON_GRIDFIRE_ERROR |
GF_UNKNOWN_ERROR |
GF_SUCCESS |
GF_INVALID_QSE_SOLUTION_ERROR |
GF_FAILED_TO_PARTITION_ENGINE_ERROR |
GF_NETWORK_RESIZED_ERROR |
GF_UNABLE_TO_SET_NETWORK_REACTIONS_ERROR |
GF_BAD_COLLECTION_ERROR |
GF_BAD_RHS_ENGINE_ERROR |
GF_STALE_JACOBIAN_ERROR |
GF_UNINITIALIZED_JACOBIAN_ERROR |
GF_UNKNOWN_JACOBIAN_ERROR |
GF_JACOBIAN_ERROR |
GF_ENGINE_ERROR |
GF_MISSING_BASE_REACTION_ERROR |
GF_MISSING_SEED_SPECIES_ERROR |
GF_MISSING_KEY_REACTION_ERROR |
GF_POLICY_ERROR |
GF_REACTION_PARSING_ERROR |
GF_REACTION_ERROR |
GF_SINGULAR_JACOBIAN_ERROR |
GF_ILL_CONDITIONED_JACOBIAN_ERROR |
GF_CVODE_SOLVER_FAILURE_ERROR |
GF_KINSOL_SOLVER_FAILURE_ERROR |
GF_SUNDIALS_ERROR |
GF_SOLVER_ERROR |
GF_HASHING_ERROR |
GF_UTILITY_ERROR |
GF_DEBUG_ERROR |
GF_GRIDFIRE_ERROR |
GF_UNINITIALIZED_INPUT_MEMORY_ERROR |
GF_UNINITIALIZED_OUTPUT_MEMORY_ERROR |
GF_INVALID_NUM_SPECIES |
GF_INVALID_TIMESTEPS |
GF_UNKNOWN_FREE_TYPE |
GF_INVALID_TYPE |

## ◆ GF_TYPE

enum GF_TYPE

Enumerator
SINGLE_ZONE |
MULTI_ZONE |

## Function Documentation

## ◆ gf_construct_engine_from_policy()

int gf_construct_engine_from_policy | ( | void * | ptr,
|  | const char * | policy_name,
|  | const double * | abundances,
|  | size_t | num_species )

## ◆ gf_construct_solver_from_engine()

int gf_construct_solver_from_engine | ( | void * | ptr | ) |

## ◆ gf_error_code_to_string()

char * gf_error_code_to_string | ( | int | error_code | ) |

## ◆ gf_evolve()

int gf_evolve | ( | enum GF_TYPE | type,
|  | void * | ptr,
|  | const void * | Y_in,
|  | size_t | num_species,
|  | const void * | T,
|  | const void * | rho,
|  | double | tMax,
|  | double | dt0,
|  | void * | Y_out,
|  | void * | energy_out,
|  | void * | dEps_dT,
|  | void * | dEps_dRho,
|  | void * | specific_neutrino_energy_loss,
|  | void * | specific_neutrino_flux,
|  | void * | mass_lost )

## ◆ gf_free()

int gf_free | ( | const enum GF_TYPE | type,
|  | void * | ctx )

## ◆ gf_get_last_error_message()

char * gf_get_last_error_message | ( | void * | ptr | ) |

## ◆ gf_init()

void * gf_init | ( | const enum GF_TYPE | type | ) |

## ◆ gf_register_species()

int gf_register_species | ( | void * | ptr,
|  | const int | num_species,
|  | const char ** | species_names )

## ◆ gf_set_num_zones()

int gf_set_num_zones | ( | const enum GF_TYPE | type,
|  | void * | ptr,
|  | const size_t | num_zones )